CANVAS_CONVERT_ELLIPSE_COORDS(3)

EXPERIMENTAL_FUNC
canvas_convert_ellipse_coords - Convert co-ordinates for an ellipse.

SYNOPSIS
#include <karma_canvas.h>

void canvas_convert_ellipse_coords

(KWorldCanvas canvas, flag to_world, flag linear, double *centre_x, double *centre_y, double *radius_x, double *radius_y, double *rotation)

DESCRIPTION
Convert co-ordinates for an ellipse.

canvas
    The world canvas object.

to_world
    If TRUE a pixel->world conversion is performed, else a world->pixel conversion is performed.

linear
    If TRUE the co-ordinate conversions are pixel<->linear rather than pixel<->world.

centre_x
    The horizontal co-ordinate of the centre of the ellipse.

centre_y
    The vertical co-ordinate of the centre of the ellipse.

radius_x
    The horizontal radius.

radius_y
    The vertical radius.

rotation
    The rotation of the arc, in degrees.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/